Ticket #44062

Qt: Refactor mr_menu::setup_menus() menu -variables

Open Date: 2022-03-09 23:08 Last Update: 2022-03-16 14:52

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Refactor use of menu -variables in mr_menu::setup_menus()

- Do not assign value back and forth between 'menu' and 'pr', but call methods directly from the object we want
- Rename 'menu' + 'pr' -> 'main_menu' + 'sub_menu'

This depends on #43996, and is similarly meant as work toward debugging #43944

Ticket History (3/7 Histories)

2022-03-09 23:08 Updated by: cazfi
  • New Ticket "Qt: Refactor mr_menu::setup_menus() menu -variables" created
2022-03-09 23:47 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-03-10 07:24 Updated by: cazfi
Comment

Now that real reason for #43944 has been found, this patch would not be really needed for stable branches. Fix for #43944 is currently built on top of this, so dropping this (from any branch) would make it necessary to rebase it.

2022-03-11 03:08 Updated by: cazfi
Comment

Retargeting to master only.

2022-03-16 14:52 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login